﻿<%@ Page Language="C#" AutoEventWireup="false" CodeBehind="../Pages/IvUi.cs" Inherits="ImageVault.EPiServer.Common.Pages.IvUi" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
    <title>ImageVault</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <%--<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />--%>
    <script type="text/javascript" src="json2.js"></script>
    <script type="text/javascript" src="jquery-1.6.1.min.js"></script>
    <script type="text/javascript" src="imagevault-insert-media/scripts/insertmedia.min.js"></script>
    <script type="text/javascript">
        function parseQuery(qstr) {
            var query = {};
            var a = (qstr[0] === '?' ? qstr.substr(1) : qstr).split('&');
            for (var i = 0; i < a.length; i++) {
                var b = a[i].split('=');
                query[camelCase(decodeURIComponent(b[0]))] = decodeURIComponent(b[1] || '');
            }
            return query;
        }
        function camelCase(s) {
            if (!s || typeof (s) !== "string")
                return s;
            var c = s.substring(0, 1).toLowerCase();
            if (s.length > 1)
                c += s.substring(1);
            return c;
        }
        var iframe = null;
        $(document).ready(function () {
            var params = parseQuery(window.location.search.substring(1));
            var insertMultiple = params.insertMultiple === "true";

            $("iframe").imageVaultInsertMedia({
                imageVaultUiUrl: '<%=ImageVaultUiUrl %>',
                uiLang: params.uiLang,
                pageLang: params.pageLang,
                insertMultiple: insertMultiple,
                publishingSource: params.ensurePublishingSource,
                mediaUrlBase: params.mediaUrlBase,
                formatId: params.formatId,
                success: function (result) {
                    opener.IVCallback(window, result.data);
                },
                close: function () {
                    window.close();
                }
            });

        });

    </script>
</head>
<body style="margin: 0">
    <iframe id="iv" style="position: fixed; width: 100%; height: 100%; border: 0;"></iframe>
</body>
</html>
