﻿<%@ Page Language="C#" AutoEventWireup="false" CodeBehind="ImageVaultClientConfiguration.aspx.cs"
    Inherits="ImageVault.EPiServer.UI.Admin.ImageVaultClientConfiguration,ImageVault.EPiServer.UI"
    Title="ImageVault Client Configuration" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeaderContentRegion" runat="server">
    <link rel="stylesheet" href="default.css"/>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainRegion" runat="server">
    <div class="imagevault">
    <p class="EP-systemInfo">Configure the ImageVault connection.</p>
    <asp:ValidationSummary runat="server" CssClass="EP-validationSummary"/>
    <div class="epi-formArea epi-paddingVertical-small">
    <fieldset>
        <legend>Authentication</legend>
        <fieldset>
            <legend>Api-key</legend>
            <div>
                <asp:Label ID="Label3" runat="server" AssociatedControlID="SdkKey">Key</asp:Label>
                <asp:TextBox runat="server" ID="SdkKey"></asp:TextBox>
            </div>
            <div>
                <asp:Label ID="Label4" runat="server" AssociatedControlID="SdkSecret">Secret</asp:Label>
                <asp:TextBox runat="server" ID="SdkSecret" autocomplete="off"></asp:TextBox>
            </div>
        </fieldset>
    </fieldset>
    <fieldset>
        <legend>ImageVault Core</legend>
        <div>
            <asp:Label ID="Label5" runat="server" AssociatedControlID="IvCoreAddress">Address</asp:Label>
            <asp:TextBox runat="server" ID="IvCoreAddress"></asp:TextBox>
        </div>
    </fieldset>
    <fieldset>
        <legend>General settings</legend>
        <div>
            <asp:Label ID="Label7" runat="server" AssociatedControlID="DefaultMediaUrlBase">DefaultMediaUrlBase</asp:Label>
            <asp:TextBox runat="server" ID="DefaultMediaUrlBase"></asp:TextBox>
        </div>
        <div>
            <asp:Label ID="Label1" runat="server" AssociatedControlID="ImageVaultUiUrl">ImageVaultUiUrl</asp:Label>
            <asp:TextBox runat="server" ID="ImageVaultUiUrl"></asp:TextBox>
        </div>
        <div>
            <asp:CheckBox runat="server" ID="EnableClientCache" Text="Enable client cache"></asp:CheckBox>
        </div>
    </fieldset>
    </div>
    <div class="epi-buttonContainer">
        <span class="epi-cmsButton">
            <asp:Button runat="server" ID="SaveButton" Text="Save" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save" />
        </span>
    </div>
    </div>
</asp:Content>
