﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="OnlineCenterMenu.aspx.cs" 
Inherits="ImageVault.EPiServer.UI.OnlineCenterMenu,ImageVault.EPiServer.UI" %>

<%@ Import Namespace="System.Threading" %>
<%@ Import Namespace="EPiServer.Framework.Web.Mvc.Html" %>
<%@ Import Namespace="EPiServer.Shell.Web.Mvc.Html" %>
<%@ Register TagPrefix="sc" Assembly="EPiServer.Shell" Namespace="EPiServer.Shell.Web.UI.WebControls" %>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="<%= Thread.CurrentThread.CurrentUICulture.Name %>" xml:lang="<%= Thread.CurrentThread.CurrentUICulture.Name %>">

    <head id="Head1" runat="server">
        
        <meta http-equiv="X-UA-Compatible" content="IE=Edge"/>

        <title>ImageVault</title>

        <!-- Shell -->
        <%=Page.ClientResources("ShellCore")%>


        <!-- LightTheme -->
        <%=Page.ClientResources("ShellCoreLightTheme")%>

        <!-- Navigation -->
        <%=Page.ClientResources("Navigation")%>
        <%=Page.ClientResources("DojoDashboardCompatibility")%> 

        <style>
            * {
                margin: 0;
                padding: 0;
            }
            html, body,form {
                height: 100%;
                overflow: hidden;
                width: 100%;
            }
            table {
                border-collapse: collapse;
                height: 100%;
                table-layout: static;
                width: 100%;
            }
            iframe {
                <%  if (Request.Browser.IsBrowser("IE") && Request.Browser.MajorVersion <= 10 ) { %>
                    height: 97%;
                <% } else { %>
                    height: 100%;
                <% }%>
                width: 100%;
            }
            .header { border-bottom: 1px solid #000; }
            .content { height: 100%; }
        </style>
    </head>
    <body>
        <form id="form1" runat="server">
            <table> 
                <tr>
                    <td class="header">
                        <sc:ShellMenu ID="ShellMenu1" runat="server" Area="CMS" />
                    </td>
                </tr>
                <tr>
                    <td class="content">
                        <iframe runat="server" id="IvFrame" />
                    </td>
                </tr>
            </table>
        </form>
    </body>
</html>